Subject: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Shynur Xie <[email-masked]>
Date: Sat, 2 Sep 2023 12:05:23 +0000

New patch is done.  Only 2 features: skipping empty lines; cycling.

___

> Drew:
> > Drew wants to skip the current directory and the parent directory;
> No, he doesn't.  Not at all.  Definitely not.  I think maybe you
> misread what I wrote.

You really confused me.  If you don't want it, why mentioned it twice?

You proposed this idea:

> Drew:
> What I said was that for _vanilla_ Emacs some actions aren't allowed
> on `.' and `..'.  And so based on that, you or someone else (NOT I),
> might want those lines, in addition to blank lines, to be skipped
> over as "meaningless".

and then rejected it:

> Drew:
> I'd say that none of the complications you've offered with this
> latest suggestion are helpful.

Inconsistent.

If you don't want it and you don't want anyone else to use it, then
do not mention it in the first place.